## echoprint-codegen 4.1-1

=== debian/changelog ===
echoprint-codegen (4.1-1) unstable; urgency=low

  * Initial import from git

 -- Ivan Daniluk <ivan.daniluk@gmail.com>  Mon, 27 Jun 2011 00:43:59 +0300

## echoprint-codegen 4.1-2

=== src/Makefile ===
UNAME := $(shell uname -s)
CXX=g++
CC=gcc
ARCH=`uname -m`
#OPTFLAGS=-g -O0
OPTFLAGS=-O3 -DBOOST_UBLAS_NDEBUG -DNDEBUG
CXXFLAGS=-Wall -I/usr/local/include/boost-1_35 `pkg-config taglib --cflags` -fPIC $(OPTFLAGS)
CFLAGS=-Wall -fPIC $(OPTFLAGS)
LDFLAGS=`pkg-config taglib --libs` -lz -lpthread $(OPTFLAGS)

MODULES_LIB = \
    AudioBufferInput.o \
    AudioStreamInput.o \
    Base64.o \
    Codegen.o \
    Fingerprint.o \
    MatrixUtility.o \
    SubbandAnalysis.o \
    Whitening.o
MODULES = $(MODULES_LIB) Metadata.o

main: $(MODULES) main.o
	$(CXX) $(MODULES) $(LDFLAGS) main.o -o ../echoprint-codegen 
	$(CXX) -shared -fPIC -o libcodegen.so $(MODULES_LIB) -lz
ifeq ($(UNAME),Darwin)
	libtool -dynamic -flat_namespace -install_name libcodegen.4.1.1.dylib -lSystem -compatibility_version 4.1 -macosx_version_min 10.6 \
	    -current_version 4.1.1 -o libcodegen.4.1.1.dylib -undefined suppress \
	    $(MODULES) -framework vecLib -framework Accelerate
endif

%.o: %.c %.h
	$(CC) $(CFLAGS) -c -o $@ $<

%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $<

%.o: %.cxx %.h
	$(CXX) $(CXXFLAGS) -c -o $@ $<

%.o: %.cxx
	$(CXX) $(CXXFLAGS) -c -o $@ $<

clean:
	rm -f *.o ../echoprint-codegen
	rm -f *.so
ifeq ($(UNAME),Darwin)
	rm -f *.dylib
endif

=== debian/changelog ===
echoprint-codegen (4.1-2) unstable; urgency=low

  * Fixed dependencies.

 -- Ivan Daniluk <ivan.daniluk@gmail.com>  Mon, 28 Jun 2011 20:00:59 +0300

=== debian/control ===
Source: echoprint-codegen
Priority: extra
Maintainer: Ivan Daniluk <ivan.daniluk@gmail.com>
Build-Depends: debhelper (>= 5), taglib-dev (>= 1.6.3-1), libboost1.42-dev, zlib1g-dev
Standards-Version: 3.7.2
Section: libs

Package: echoprint-codegen-dev
Section: libdevel
Architecture: any
Depends: echoprint-codegen
Description: Music fingerprint and identifying framework - dev files.
 Echoprint is an open source music fingerprint and
 resolving framework powered by the The Echo Nest.
 The code generator (library to convert PCM samples
 from a microphone or file into Echoprint codes) is
 open source (MIT licensed) and free for any use.

Package: echoprint-codegen
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, taglib1 (>= 1.6.3-1), ffmpeg, zlib1g
Description: Music fingerprint and identifying framework - bin and libs.
 Echoprint is an open source music fingerprint and
 resolving framework powered by the The Echo Nest.
 The code generator (library to convert PCM samples
 from a microphone or file into Echoprint codes) is
 open source (MIT licensed) and free for any use.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g 

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0 -ggdb
else
	CFLAGS += -O3
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

# Apply patches to the package
patch: patch-stamp
patch-stamp:
	dh_testdir
	@patches=debian/patches/*.patch; for patch in $$patches; do \
	test -f $$patch || continue; \
	echo "Applying $$patch"; \
	patch -stuN -p1 < $$patch || exit 1; \
	done
	touch $@

# Remove patches from the package
unpatch:
	dh_testdir
	@if test -f patch-stamp; then \
		patches=debian/patches/*.patch; \
		for patch in $$patches; do \
			reversepatches="$$patch $$reversepatches"; \
		done; \
		for patch in $$reversepatches; do \
			test -f $$patch || continue; \
			echo "Reversing $$patch"; \
			patch -suRf -p1 < $$patch || exit 1; \
		done; \
		rm -f patch-stamp; \
	fi

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) -C src/

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) -C src/ clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	mkdir -p $(CURDIR)/debian/echoprint-codegen/usr/bin
	mkdir -p $(CURDIR)/debian/echoprint-codegen/usr/lib
	cp -fv src/libcodegen.so $(CURDIR)/debian/echoprint-codegen/usr/lib/
	cp -fv echoprint-codegen $(CURDIR)/debian/echoprint-codegen/usr/bin/

	## headers
	mkdir -p $(CURDIR)/debian/echoprint-codegen-dev/usr/include/codegen
	cp -fv src/*.h $(CURDIR)/debian/echoprint-codegen-dev/usr/include/codegen


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs 
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
